<?
include 'mysql.php';
include_once("include/zag.php");
include 'include/ini.php';
include_once("include/sesi.php");
if (isset($user)) {
include_once("include/udata.php");
switch(@$go) {
default:
echo "<form action=\"paty.php?go=go&".$sd."\" method=\"post\">";
echo "<small>C кем? (введите ник):</small><br/>";
echo "<input name=\"uzer\" maxlength=\"15\" title=\"uzer\"/><br/>";
echo '<input type="submit" value="Предложить" /></form>';

break;

case 'go':

if($log==$uzer){echo"<small>ХА?! САМ С СОБОЙ?? НЕЛЬЗЯ!!!</small>"; include_once"include/down.php"; exit;}
if(!@file("MySql/base123/reg/$uzer.dat")){echo"<small>Такого игрока нет!</small>"; include_once"include/down.php"; exit;}
if(@file("MySql/base123/paty/$uzer.dat")){echo"<small>Этот игрок уже играет в пати!</small>"; include_once"include/down.php"; exit;}
$file=@file("MySql/base123/reg/$uzer.dat");
$dat=explode(":||:",$file[0]);
$dp=$dat[9];
$dm=$dat[9];
$dp2=$udata[9]+10;
$dm2=$udata[9]-10;
if($dp2<$dp){echo"Разница уровней больше или меньше 10";
include_once"include/down.php";exit;}
if($dm2>$dm){echo"Разница уровней больше или меньше 10";
include_once"include/down.php";exit;}





$text=$udata[0].':||:'.$udata[9].':||:time:||:';

$fp=fopen("MySql/base123/paty/tmp/$uzer.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/paty/tmp/$uzer.dat", 0666);

/////////////////////////////////////////////////////////////////////////////////////////////
echo"Предложение отослано!<br/> <a href=\"paty.php?go=time&$sd&uzer=$uzer\">Продолжить</a>";
break;
case 'ok':
$text = @file("MySql/base123/paty/tmp/$log.dat");
$uda = explode(":||:",$text[0]);

$text=$uda[0].':||:'.$uda[1].':||:yes:||:';

$fp=fopen("MySql/base123/paty/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$text=$log.':||:'.$udata[9].':||:yes:||:';

$fp=fopen("MySql/base123/paty/$uda[0].dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

@unlink ("MySql/base123/paty/tmp/$log.dat");

echo"<small>Вы приняли пати.<br/> <a href=\"main.php?$sd\">Продолжить</a></small>";

break;

case 'no':
@unlink ("MySql/base123/paty/tmp/$log.dat");
echo"<small>Вы отказались вступать в пати</small>";
break;

case 'time':
if(!@file("MySql/base123/paty/$uzer.dat")){echo"<small>Игрок еще не принял пати!</small>"; include_once"include/down.php"; exit; }
$text = @file("MySql/base123/paty/$uzer.dat");
$uda = explode(":||:",$text[0]);

if($uda[2]=="yes"){echo"<small>$uzer принял пати!<br/> <a href=\"main.php?$sd\">Продолжить</a></small>";}
if($uda[2]=="time"){echo"<small>Ждите... <br/><a href=\"paty.php?go=time&$sd&uzer=$uzer&ref=$ref\">Обновить</a></small>";}
if($uda[2]=="no"){echo"<small>$uzer отказался!<br/> <a href=\"main.php?$sd\">Продолжить</a></small>";}

break;
case 'del':
if(@file("MySql/base123/paty/$log.dat")){
$text = @file("MySql/base123/paty/$log.dat");
$uda = explode(":||:",$text[0]);
unlink ("MySql/base123/paty/$uda[0].dat");
unlink ("MySql/base123/paty/$log.dat");
echo"<small>Вы вышли из пати.<br/> <a href=\"main.php?$sd\">Продолжить</a></small>";}
break;

}}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>



